function  [outp x] = fourier1(fcn)

N=1024;
D=sqrt(N);
k = -N/2:N/2-1;
xr = k*D/N;
dx = D/N;


f = fcn(xr);
A = sum(f)*dx;
%fprintf('A %g\n',A);

subplot(2,1,1);
range = 4;
idx = find( (-range <= xr) & (xr<range) );
inp = abs(f(idx));
x = xr(idx);
plot(x,inp,'k','LineWidth',2);
axis([-range range 0 1.2]);

z = fftshift(fft(fftshift(f)))*(dx/A);
fy = z.*conj(z);

subplot(2,1,2);

frange = 8;
idx = find( (-frange <= xr) & (xr<frange) );

outp = fy(idx);
x = xr(idx);
plot(x,outp,'k','LineWidth',2);
axis([-frange frange 0 1.2]);
